OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Public Attributes | List of all members
AmoebaGeneralizedKirkwoodForce Class Reference

This class implements an implicit solvation force using the generalized Kirkwood/Grycuk model. More...

Inheritance diagram for AmoebaGeneralizedKirkwoodForce:

## Public Member Functions
def | getNumParticles
| getNumParticles(AmoebaGeneralizedKirkwoodForce self) -> int More...
def | addParticle
| addParticle(AmoebaGeneralizedKirkwoodForce self, double charge, double radius, double scalingFactor) -> int More...
def | getParticleParameters
| getParticleParameters(AmoebaGeneralizedKirkwoodForce self, int index) More...
def | setParticleParameters
| setParticleParameters(AmoebaGeneralizedKirkwoodForce self, int index, double charge, double radius, double scalingFactor) More...
def | getSolventDielectric
| getSolventDielectric(AmoebaGeneralizedKirkwoodForce self) -> double More...
def | setSolventDielectric
| setSolventDielectric(AmoebaGeneralizedKirkwoodForce self, double dielectric) More...
def | getSoluteDielectric
| getSoluteDielectric(AmoebaGeneralizedKirkwoodForce self) -> double More...
def | setSoluteDielectric
| setSoluteDielectric(AmoebaGeneralizedKirkwoodForce self, double dielectric) More...
def | getIncludeCavityTerm
| getIncludeCavityTerm(AmoebaGeneralizedKirkwoodForce self) -> int More...
def | setIncludeCavityTerm
| setIncludeCavityTerm(AmoebaGeneralizedKirkwoodForce self, int includeCavityTerm) More...
def | getProbeRadius
| getProbeRadius(AmoebaGeneralizedKirkwoodForce self) -> double More...
def | setProbeRadius
| setProbeRadius(AmoebaGeneralizedKirkwoodForce self, double probeRadius) More...
def | getSurfaceAreaFactor
| getSurfaceAreaFactor(AmoebaGeneralizedKirkwoodForce self) -> double More...
def | setSurfaceAreaFactor
| setSurfaceAreaFactor(AmoebaGeneralizedKirkwoodForce self, double surfaceAreaFactor) More...
def | updateParametersInContext
| updateParametersInContext(AmoebaGeneralizedKirkwoodForce self, Context context) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(AmoebaGeneralizedKirkwoodForce self) -> bool More...
def | __init__
| init(OpenMM::AmoebaGeneralizedKirkwoodForce self) -> AmoebaGeneralizedKirkwoodForce init(OpenMM::AmoebaGeneralizedKirkwoodForce self, AmoebaGeneralizedKirkwoodForce other) -> AmoebaGeneralizedKirkwoodForce More...
def | __del__
| del(OpenMM::AmoebaGeneralizedKirkwoodForce self) More...
Public Member Functions inherited from Force
def | __init__
def | __del__
| del(OpenMM::Force self) More...
def | getForceGroup
| getForceGroup(Force self) -> int More...
def | setForceGroup
| setForceGroup(Force self, int group) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(Force self) -> bool More...
def | __copy__
def | __deepcopy__

## Public Attributes
| this

## Detailed Description

This class implements an implicit solvation force using the generalized Kirkwood/Grycuk model.

To use this class, create an AmoebaGeneralizedKirkwoodForce object, then call addParticle() once for each particle in the System to define its parameters. The number of particles for which you define parameters must be equal to the number of particles in the System, or else an exception will be thrown when you try to create a Context. After a particle has been added, you can modify its force field parameters by calling setParticleParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::AmoebaGeneralizedKirkwoodForce self) -> AmoebaGeneralizedKirkwoodForce init(OpenMM::AmoebaGeneralizedKirkwoodForce self, AmoebaGeneralizedKirkwoodForce other) -> AmoebaGeneralizedKirkwoodForce

This class implements an implicit solvation force using the generalized Kirkwood/Grycuk model.

To use this class, create an AmoebaGeneralizedKirkwoodForce object, then call addParticle() once for each particle in the System to define its parameters. The number of particles for which you define parameters must be equal to the number of particles in the System, or else an exception will be thrown when you try to create a Context. After a particle has been added, you can modify its force field parameters by calling setParticleParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::AmoebaGeneralizedKirkwoodForce self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def addParticle | ( |  | self,
|  |  | args
| ) |  |

addParticle(AmoebaGeneralizedKirkwoodForce self, double charge, double radius, double scalingFactor) -> int

Add the parameters for a particle. This should be called once for each particle in the System. When it is called for the i'th time, it specifies the parameters for the i'th particle.

Parameters

  charge | the charge of the particle, measured in units of the proton charge
  radius | the atomic radius of the particle, measured in nm
  scalingFactor | the scaling factor for the particle

References simtk.openmm.openmm.stripUnits().

Referenced by NonbondedForce.addParticle_usingRVdw().

def getIncludeCavityTerm | ( |  | self,
|  |  | args
| ) |  |

getIncludeCavityTerm(AmoebaGeneralizedKirkwoodForce self) -> int

Get the flag signaling whether the cavity term should be included

References simtk.openmm.openmm.stripUnits().

def getNumParticles | ( |  | self,
|  |  | args
| ) |  |

getNumParticles(AmoebaGeneralizedKirkwoodForce self) -> int

Get the number of particles in the system.

References simtk.openmm.openmm.stripUnits().

def getParticleParameters | ( |  | self,
|  |  | args
| ) |  |

getParticleParameters(AmoebaGeneralizedKirkwoodForce self, int index)

Get the force field parameters for a particle.

Parameters

  index | the index of the particle for which to get parameters
  charge | the charge of the particle, measured in units of the proton charge
  radius | the atomic radius of the particle, measured in nm
  scalingFactor | the scaling factor for the particle

References simtk.openmm.openmm.stripUnits().

def getProbeRadius | ( |  | self,
|  |  | args
| ) |  |

getProbeRadius(AmoebaGeneralizedKirkwoodForce self) -> double

Get the probe radius (nm) used in SASA contribution

References simtk.openmm.openmm.stripUnits().

def getSoluteDielectric | ( |  | self,
|  |  | args
| ) |  |

getSoluteDielectric(AmoebaGeneralizedKirkwoodForce self) -> double

Get the dielectric constant for the solute.

References simtk.openmm.openmm.stripUnits().

def getSolventDielectric | ( |  | self,
|  |  | args
| ) |  |

getSolventDielectric(AmoebaGeneralizedKirkwoodForce self) -> double

Get the dielectric constant for the solvent.

References simtk.openmm.openmm.stripUnits().

def getSurfaceAreaFactor | ( |  | self,
|  |  | args
| ) |  |

getSurfaceAreaFactor(AmoebaGeneralizedKirkwoodForce self) -> double

Get the surface area factor kJ/(nm*nm) used in SASA contribution

References simtk.openmm.openmm.stripUnits().

def setIncludeCavityTerm | ( |  | self,
|  |  | args
| ) |  |

setIncludeCavityTerm(AmoebaGeneralizedKirkwoodForce self, int includeCavityTerm)

Set the flag signaling whether the cavity term should be included

References simtk.openmm.openmm.stripUnits().

def setParticleParameters | ( |  | self,
|  |  | args
| ) |  |

setParticleParameters(AmoebaGeneralizedKirkwoodForce self, int index, double charge, double radius, double scalingFactor)

Set the force field parameters for a particle.

Parameters

  index | the index of the particle for which to set parameters
  charge | the charge of the particle, measured in units of the proton charge
  radius | the atomic radius of the particle, measured in nm
  scalingFactor | the scaling factor for the particle

References simtk.openmm.openmm.stripUnits().

def setProbeRadius | ( |  | self,
|  |  | args
| ) |  |

setProbeRadius(AmoebaGeneralizedKirkwoodForce self, double probeRadius)

Set the probe radius (nm) used in SASA contribution

References simtk.openmm.openmm.stripUnits().

def setSoluteDielectric | ( |  | self,
|  |  | args
| ) |  |

setSoluteDielectric(AmoebaGeneralizedKirkwoodForce self, double dielectric)

Set the dielectric constant for the solute.

References simtk.openmm.openmm.stripUnits().

def setSolventDielectric | ( |  | self,
|  |  | args
| ) |  |

setSolventDielectric(AmoebaGeneralizedKirkwoodForce self, double dielectric)

Set the dielectric constant for the solvent.

References simtk.openmm.openmm.stripUnits().

def setSurfaceAreaFactor | ( |  | self,
|  |  | args
| ) |  |

setSurfaceAreaFactor(AmoebaGeneralizedKirkwoodForce self, double surfaceAreaFactor)

Set the surface area factor kJ/(nm*nm) used in SASA contribution

References simtk.openmm.openmm.stripUnits().

def updateParametersInContext | ( |  | self,
|  |  | args
| ) |  |

updateParametersInContext(AmoebaGeneralizedKirkwoodForce self, Context context)

Update the per-particle parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setParticleParameters() to modify this object's parameters, then call updateParametersInContext() to copy them over to the Context.

The only information this method updates is the values of per-particle parameters. All other aspects of the Force (the probe radius, the surface area factor, etc.) are unaffected and can only be changed by reinitializing the Context.

References simtk.openmm.openmm.stripUnits().

def usesPeriodicBoundaryConditions | ( |  | self,
|  |  | args
| ) |  |

usesPeriodicBoundaryConditions(AmoebaGeneralizedKirkwoodForce self) -> bool

Returns whether or not this force makes use of periodic boundary conditions.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py